"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var CancelJob_1 = require("../model/operations/CancelJob");
var CancelJobCommand = /** @class */ (function () {
    function CancelJobCommand(input) {
        this.input = input;
        this.model = CancelJob_1.CancelJob;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    CancelJobCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return CancelJobCommand;
}());
exports.CancelJobCommand = CancelJobCommand;
//# sourceMappingURL=CancelJobCommand.js.map