"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var CreatePipeline_1 = require("../model/operations/CreatePipeline");
var CreatePipelineCommand = /** @class */ (function () {
    function CreatePipelineCommand(input) {
        this.input = input;
        this.model = CreatePipeline_1.CreatePipeline;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    CreatePipelineCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return CreatePipelineCommand;
}());
exports.CreatePipelineCommand = CreatePipelineCommand;
//# sourceMappingURL=CreatePipelineCommand.js.map