"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DeletePreset_1 = require("../model/operations/DeletePreset");
var DeletePresetCommand = /** @class */ (function () {
    function DeletePresetCommand(input) {
        this.input = input;
        this.model = DeletePreset_1.DeletePreset;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DeletePresetCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DeletePresetCommand;
}());
exports.DeletePresetCommand = DeletePresetCommand;
//# sourceMappingURL=DeletePresetCommand.js.map