"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var ReadPipeline_1 = require("../model/operations/ReadPipeline");
var ReadPipelineCommand = /** @class */ (function () {
    function ReadPipelineCommand(input) {
        this.input = input;
        this.model = ReadPipeline_1.ReadPipeline;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    ReadPipelineCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return ReadPipelineCommand;
}());
exports.ReadPipelineCommand = ReadPipelineCommand;
//# sourceMappingURL=ReadPipelineCommand.js.map