"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var CreateJobInput_1 = require("../shapes/CreateJobInput");
var CreateJobOutput_1 = require("../shapes/CreateJobOutput");
var ValidationException_1 = require("../shapes/ValidationException");
var IncompatibleVersionException_1 = require("../shapes/IncompatibleVersionException");
var ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
var AccessDeniedException_1 = require("../shapes/AccessDeniedException");
var LimitExceededException_1 = require("../shapes/LimitExceededException");
var InternalServiceException_1 = require("../shapes/InternalServiceException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.CreateJob = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "CreateJob",
    http: {
        method: "POST",
        requestUri: "/2012-09-25/jobs"
    },
    input: {
        shape: CreateJobInput_1.CreateJobInput
    },
    output: {
        shape: CreateJobOutput_1.CreateJobOutput
    },
    errors: [
        {
            shape: ValidationException_1.ValidationException
        },
        {
            shape: IncompatibleVersionException_1.IncompatibleVersionException
        },
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: AccessDeniedException_1.AccessDeniedException
        },
        {
            shape: LimitExceededException_1.LimitExceededException
        },
        {
            shape: InternalServiceException_1.InternalServiceException
        }
    ]
};
//# sourceMappingURL=CreateJob.js.map